import { ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { AngularTouchKeyboardComponent } from './angular-touch-keyboard.component';
import * as i0 from "@angular/core";
export declare class AngularTouchKeyboardDirective implements OnDestroy {
    private _overlay;
    private _elementRef;
    private _elementDivRef;
    private _document;
    isOpen: boolean;
    acceptClick: EventEmitter<AngularTouchKeyboardComponent>;
    validate: ((args: string | undefined) => boolean) | undefined;
    private _locale;
    /** locale */
    get angularTouchKeyboard(): string;
    set angularTouchKeyboard(value: string);
    private layoutName;
    /** layout name: alphabetic, text, symbolic, ...  */
    get ngxLayoutName(): string;
    set ngxLayoutName(value: string);
    private _divMode;
    /** div mode */
    get ngxTouchKeyboardDiv(): any;
    set ngxTouchKeyboardDiv(value: any);
    private _openWithButton;
    /** open virtual keyboard with button instead of focus on text input*/
    get ngxTouchKeyboardOpenWithButton(): any;
    set ngxTouchKeyboardOpenWithButton(value: any);
    private _debugMode;
    /** debug mode */
    get ngxTouchKeyboardDebug(): any;
    set ngxTouchKeyboardDebug(value: any);
    private _fullScreenMode;
    /** fullscreen mode */
    get ngxTouchKeyboardFullScreen(): any;
    set ngxTouchKeyboardFullScreen(value: any);
    private _overlayRef;
    private _panelRef;
    /**
     * Constructor
     */
    constructor(_overlay: Overlay, _elementRef: ElementRef<HTMLInputElement>, _elementDivRef: ElementRef<HTMLDivElement>, _document: any);
    /**
     * On destroy
     */
    ngOnDestroy(): void;
    /**
     * Open keyboard panel
     */
    openPanel(): void;
    blurEventHandler(): void;
    /**
     * Close keyboard panel
     */
    closePanel(): void;
    /**
     * Toggle keyboard panel
     */
    togglePanel(): void;
    /**
     * Create the overlay
     *
     * @private
     */
    private _createOverlay;
    /**
     * Get position strategy
     *
     * @param fullscreen
     * @private
     */
    private _getPositionStrategy;
    /**
     * Get overlay size
     *
     * @param fullscreen
     * @private
     */
    private _getOverlaySize;
    /**
     * Get input origin
     *
     * @private
     */
    private _inputOrigin;
    /**
     * Create the overlay
     *
     * @private
     */
    private _declareDivEvents;
    /**
     * Create the overlay
     *
     * @private
     */
    private _replaceInputToDivElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularTouchKeyboardDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AngularTouchKeyboardDirective, "input[angularTouchKeyboard], textarea[angularTouchKeyboard], div[angularTouchKeyboard]", ["angularTouchKeyboard"], { "validate": { "alias": "validate"; "required": false; }; "angularTouchKeyboard": { "alias": "angularTouchKeyboard"; "required": false; }; "ngxLayoutName": { "alias": "ngxLayoutName"; "required": false; }; "ngxTouchKeyboardDiv": { "alias": "ngxTouchKeyboardDiv"; "required": false; }; "ngxTouchKeyboardOpenWithButton": { "alias": "ngxTouchKeyboardOpenWithButton"; "required": false; }; "ngxTouchKeyboardDebug": { "alias": "ngxTouchKeyboardDebug"; "required": false; }; "ngxTouchKeyboardFullScreen": { "alias": "ngxTouchKeyboardFullScreen"; "required": false; }; }, { "acceptClick": "acceptClick"; }, never, never, false, never>;
}
